---
title: "List managed Agent Enrollments"
description: "List pending, claimed, expired and revoked Agent Enrollments without exposing their secret codes."
---
<nav class="docs-breadcrumb" aria-label="Breadcrumb"><a href="/docs/">CloudPrint Documentation</a><span aria-hidden="true">/</span><span>API reference</span></nav>

# List managed Agent Enrollments

<p class="docs-lead">List pending, claimed, expired and revoked Agent Enrollments without exposing their secret codes.</p>

<div class="api-endpoint-summary"><span class="api-method api-method-get">GET</span><code>/partner-api/v1/accounts/{relationshipId}/agent-enrollments</code><span><strong>API version:</strong> v1</span><span><strong>operationId:</strong> <code>listPartnerAgentEnrollments</code></span><a href="/docs/api/v1/partner/agent-enrollments/list/index.md">View as Markdown</a></div>

## What this endpoint does

List pending, claimed, expired and revoked Agent Enrollments without exposing their secret codes.

## Authentication

Send a one-time RS256 Developer Application assertion in `Authorization: Bearer <application_assertion>`. This assertion is not a Public API access token.

## Request

**Production base URL:** `https://public-api.cloudprint.me/partner-api/v1/accounts/{relationshipId}/agent-enrollments`

### Parameters

| Name | Location | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- | --- |
| `relationshipId` | path | `string (uuid)` | yes | — | — |
| `limit` | query | `integer` | no | — | min: 1; max: 100; default: `50` |
| `cursor` | query | `string` | no | — | — |

### Request body

This endpoint has no request body.

### Example requests

#### cURL

```bash
curl -sS "https://public-api.cloudprint.me/partner-api/v1/accounts/$RELATIONSHIP_ID/agent-enrollments" \
  -H "Authorization: Bearer $APPLICATION_ASSERTION"
```

## Response

**HTTP status:** `200` — Agent Enrollments page

### Response fields

| Name | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- |
| `data` | `array` | yes | — | — |
| `next_cursor` | `string \| null` | yes | Opaque cursor for the next result page; send it back unchanged. | — |

### Example response

```json
{
  "data": [
    {
      "agent_enrollment_id": "11111111-1111-4111-8111-111111111111",
      "name": "string",
      "status": "pending",
      "expires_at": "2026-08-06T12:00:00Z",
      "created_at": "2026-08-06T12:00:00Z",
      "agent_id": null,
      "claimed_at": null,
      "revoked_at": null
    }
  ],
  "next_cursor": null
}
```

## Errors

| HTTP status | Description |
| --- | --- |
| `401` | Application assertion is invalid |
| `403` | Partner capability is not granted |
| `404` | Managed Account was not found |
| `422` | Pagination parameters are invalid |
| `429` | Rate limit exceeded |
| `500` | Unexpected error |

## Integration guidance

## Related documentation

<div class="docs-card-grid"><a class="docs-card" href="/docs/api/v1/partner/agent-enrollments/create/"><strong>Create a managed Agent Enrollment</strong><span>Issue an idempotent one-time Enrollment before or after customer onboarding.</span></a>
<a class="docs-card" href="/docs/api/v1/partner/agent-enrollments/get/"><strong>Get one Agent Enrollment</strong><span>Check the exact one-time Agent Enrollment created for a managed customer and correlate it with the connected Agent.</span></a>
<a class="docs-card" href="/docs/partner-platform/agent-enrollment/"><strong>Enroll an agent for a customer</strong><span>Connect a local CloudPrint Agent to the correct managed customer account without requiring a customer portal login.</span></a></div>

<nav class="docs-resource-links" aria-label="Next steps"><a href="/docs/api/v1/explorer/">OpenAPI</a><a href="https://my.cloudprint.me">Open account</a><a href="/docs/legal/privacy/">Privacy Policy</a><a href="/docs/legal/terms/">Terms</a><a href="/docs/legal/payments-and-refunds/">Payment and refunds</a><a href="/docs/legal/data-processing/">DPA</a></nav>